%{
#include <stdio.h>
#include <string.h>
#include "y.tab.h"
    extern int yylval;
    extern char id_name[50];
%}

%%
:=			return TOKPRIRAZENI;
[+]			return TOKOPPLUS;
\*			return TOKOPMUL;
\(			return TOKOBRACE;
\)			return TOKCBRACE;
;			return TOKSEMICOLON;
[a-zA-Z][a-zA-Z0-9_]*	{ 	yylval=*yytext;
				strcpy(id_name,yytext);
				return IDENTIFIKATOR;
			}
[0123456789]+           yylval=atoi(yytext); return CISLO;
%%
