%{
#include <stdio.h>
#include <string.h>
char id_name[50]; 
 
void yyerror(const char *str)
{
        fprintf(stderr,"error: %s\n",str);
}
 
int yywrap()
{
        return 1;
} 
  
main()
{
        yyparse();
} 

%}

%token TOKOPPLUS TOKOPMUL TOKOBRACE TOKCBRACE IDENTIFIKATOR TOKPRIRAZENI
%token TOKSEMICOLON CISLO

%%
statement: statement  s1 s2
	|	/*	empty pro statement */
	;
s1: IDENTIFIKATOR TOKPRIRAZENI
		{
			printf("TA %s\n", id_name);
			printf("DR\n");
		}
	;
s2: e TOKSEMICOLON
		{
			printf("STO\n");
		}	
	;
e:
	t escarou
	;
escarou:
	TOKOPPLUS t escarou
	{
		printf("PLUS\n");
	}
	|	/* empty escarou */ 
	;
t:	f tscarou
	;
tscarou: TOKOPMUL f tscarou
	{
		printf("MUL\n");
	}
	| 	/* emty tscarou */
	;
f:	TOKOBRACE e TOKCBRACE
	| IDENTIFIKATOR
	{
			printf("TA %s\n",id_name);
			printf("DR\n");
	}
	| CISLO
	{
		printf("CISLO %d\n",$1);
	}
	;
	